Subject: bug#65393: closed (Re: bug#65393: python-uqbar test failure)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Apr 2025 17:31:02 +0000

Your bug report

#65393: python-uqbar test failure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65393: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65393
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65393: python-uqbar test failure
From: Greg Hogan <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Apr 2025 13:29:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Aug 19, 2023 at 8:31 PM Maxime Devos <[email-masked]> wrote:
>
> [...]
> E         - optional arguments:
> E         + options:
> E             -h, --help            show this help message and exit
> E             --version             show program's version number and exit
> E
> E           subcommands:
> E             {help,list,birds,mammals}
> E               help                print subcommand help
> E               list                list subcommands
> E               birds               {squawk} subcommand(s)
> E               mammals             {meow, woof} subcommand(s)
> [...]
> FAILED tests/test_cli.py::test_call_help - assert ('usage: meow-cli [-h]
> [--v...
> FAILED tests/test_cli.py::test_help - assert ('usage: vox-aggregator
> [-h] [--...
>
> Looks like an update of a dependency (changing optional
> arguments->options) was not expected by the tests, if I guess correctly.
> ---
> (I'm going through <https://ci.guix.gnu.org/eval/668365/dashboard>
> one-by-one, albeit not in the same order as listed there.)

Closing as this package has been updated and is now successfully building.

Subject: python-uqbar test failure
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Sun, 20 Aug 2023 02:29:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[...]
E         - optional arguments:
E         + options:
E             -h, --help            show this help message and exit
E             --version             show program's version number and exit
E
E           subcommands:
E             {help,list,birds,mammals}
E               help                print subcommand help
E               list                list subcommands
E               birds               {squawk} subcommand(s)
E               mammals             {meow, woof} subcommand(s)
[...]
FAILED tests/test_cli.py::test_call_help - assert ('usage: meow-cli [-h] 
[--v...
FAILED tests/test_cli.py::test_help - assert ('usage: vox-aggregator 
[-h] [--...

Looks like an update of a dependency (changing optional 
arguments->options) was not expected by the tests, if I guess correctly.
---
(I'm going through <https://ci.guix.gnu.org/eval/668365/dashboard> 
one-by-one, albeit not in the same order as listed there.)